AlmaLinux 8 : virt:rhel and virt-devel:rhel (ALSA-2023:2757)

high Nessus Plugin ID 176122

Synopsis

The remote AlmaLinux host is missing one or more security updates.

Description

The remote AlmaLinux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the ALSA-2023:2757 advisory.

- ntfsck in NTFS-3G through 2021.8.22 has a heap-based buffer overflow involving buffer+512*3-2. NOTE: the upstream position is that ntfsck is deprecated; however, it is shipped by some Linux distributions.
(CVE-2021-46790)

- A crafted NTFS image can cause heap exhaustion in ntfs_get_attribute_value in NTFS-3G through 2021.8.22.
(CVE-2022-30784)

- A crafted NTFS image can cause a heap-based buffer overflow in ntfs_names_full_collate in NTFS-3G through 2021.8.22. (CVE-2022-30786)

- A crafted NTFS image can cause a heap-based buffer overflow in ntfs_mft_rec_alloc in NTFS-3G through 2021.8.22. (CVE-2022-30788)

- A crafted NTFS image can cause a heap-based buffer overflow in ntfs_check_log_client_array in NTFS-3G through 2021.8.22. (CVE-2022-30789)

- An integer underflow issue was found in the QEMU VNC server while processing ClientCutText messages in the extended format. A malicious client could use this flaw to make QEMU unresponsive by sending a specially crafted payload message, resulting in a denial of service. (CVE-2022-3165)

- An out-of-bounds read vulnerability exists in TPM2.0's Module Library allowing a 2-byte read past the end of a TPM2.0 command in the CryptParameterDecryption routine. An attacker who can successfully exploit this vulnerability can read or access sensitive data stored in the TPM. (CVE-2023-1018)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://errata.almalinux.org/8/ALSA-2023-2757.html

Plugin Details

Severity: High

ID: 176122

File Name: alma_linux_ALSA-2023-2757.nasl

Version: 1.0

Type: local

Published: 5/19/2023

Updated: 5/19/2023

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2022-30789

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:alma:linux:libguestfs-gobject-devel, cpe:/o:alma:linux:8::nfv, cpe:/o:alma:linux:8::resilientstorage, cpe:/o:alma:linux:8::sap_hana, p-cpe:/a:alma:linux:hivex-devel, p-cpe:/a:alma:linux:perl-sys-virt, p-cpe:/a:alma:linux:ruby-libguestfs, p-cpe:/a:alma:linux:libguestfs-java, p-cpe:/a:alma:linux:sgabios-bin, p-cpe:/a:alma:linux:virt-dib, p-cpe:/a:alma:linux:libguestfs, p-cpe:/a:alma:linux:libnbd-bash-completion, p-cpe:/a:alma:linux:libvirt-dbus, p-cpe:/a:alma:linux:python3-libguestfs, p-cpe:/a:alma:linux:ruby-hivex, p-cpe:/a:alma:linux:sgabios, p-cpe:/a:alma:linux:libnbd, p-cpe:/a:alma:linux:swtpm-tools-pkcs11, p-cpe:/a:alma:linux:libguestfs-man-pages-ja, p-cpe:/a:alma:linux:libiscsi-devel, p-cpe:/a:alma:linux:python3-hivex, cpe:/o:alma:linux:8, cpe:/o:alma:linux:8::appstream, p-cpe:/a:alma:linux:libguestfs-rescue, p-cpe:/a:alma:linux:perl-hivex, p-cpe:/a:alma:linux:slof, p-cpe:/a:alma:linux:libguestfs-tools-c, p-cpe:/a:alma:linux:netcf, p-cpe:/a:alma:linux:supermin-devel, cpe:/o:alma:linux:8::realtime, cpe:/o:alma:linux:8::baseos, p-cpe:/a:alma:linux:libiscsi-utils, p-cpe:/a:alma:linux:seabios-bin, p-cpe:/a:alma:linux:swtpm, p-cpe:/a:alma:linux:hivex, p-cpe:/a:alma:linux:libiscsi, p-cpe:/a:alma:linux:seavgabios-bin, p-cpe:/a:alma:linux:swtpm-libs, p-cpe:/a:alma:linux:libguestfs-rsync, p-cpe:/a:alma:linux:lua-guestfs, p-cpe:/a:alma:linux:swtpm-devel, p-cpe:/a:alma:linux:libguestfs-devel, p-cpe:/a:alma:linux:libguestfs-java-devel, cpe:/o:alma:linux:8::sap, p-cpe:/a:alma:linux:libguestfs-gobject, p-cpe:/a:alma:linux:libguestfs-inspect-icons, p-cpe:/a:alma:linux:libguestfs-bash-completion, p-cpe:/a:alma:linux:netcf-devel, p-cpe:/a:alma:linux:swtpm-tools, p-cpe:/a:alma:linux:libguestfs-appliance, p-cpe:/a:alma:linux:libguestfs-tools, p-cpe:/a:alma:linux:libguestfs-xfs, p-cpe:/a:alma:linux:netcf-libs, p-cpe:/a:alma:linux:perl-sys-guestfs, p-cpe:/a:alma:linux:seabios, p-cpe:/a:alma:linux:libguestfs-gfs2, p-cpe:/a:alma:linux:libguestfs-javadoc, p-cpe:/a:alma:linux:libguestfs-man-pages-uk, cpe:/o:alma:linux:8::supplementary, cpe:/o:alma:linux:8::highavailability, p-cpe:/a:alma:linux:libnbd-devel, p-cpe:/a:alma:linux:nbdfuse, p-cpe:/a:alma:linux:supermin, p-cpe:/a:alma:linux:python3-libnbd, p-cpe:/a:alma:linux:python3-libvirt, cpe:/o:alma:linux:8::powertools

Required KB Items: Host/local_checks_enabled, Host/AlmaLinux/release, Host/AlmaLinux/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 5/16/2023

Vulnerability Publication Date: 5/2/2022

Reference Information

CVE: CVE-2021-46790, CVE-2022-30784, CVE-2022-30786, CVE-2022-30788, CVE-2022-30789, CVE-2022-3165, CVE-2023-1018

CWE: 120, 122, 125, 191, 400, 787